package creepy.talkintell;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.widget.TextView;
import creepy.talkintell.data.Article;
import creepy.talkintell.data.Database;

public class ArticleActivity extends Activity {
	
	private Article article;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.article_activity);
		System.out.println("ARTICLE ACTIVITY CREATED");
		Intent intent = getIntent();
		int id = intent.getIntExtra("id", 0);
		Article[] articles = Database.getArticles();
		article = articles[id];
		System.out.println("Article.title = " + article.getTitle());
//		Bundle bundle = new Bundle();
//		bundle.putInt("id", article.getId());
//		bundle.putString("title", article.getTitle());
//		bundle.putString("content", article.getContent());
//		bundle.putString("date", article.getDate());
//		bundle.putString("media", article.getMedia());
//		FragmentManager fm = getFragmentManager();
//		Fragment articleFragment = (Fragment) fm.findFragmentById(R.id.articleFragment);
//		articleFragment.setArguments(bundle);
		((TextView)findViewById(R.id.articleTitle)).setText(article.getTitle());
		((TextView)findViewById(R.id.articleDate)).setText(article.getDate());
		((TextView)findViewById(R.id.articleMedia)).setText(article.getMedia());
		((TextView)findViewById(R.id.articleContent)).setText(article.getContent());
	}
	
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		return true;
	}
	
	@Override
	protected void onResume() {
		super.onResume();
	}
	
	@Override
	protected void onPause() {
		super.onPause();
	}

}
