package creepy.talkintell.data;

import java.util.ArrayList;
import java.util.List;

import android.graphics.Color;

public class Rubrique {
	
	private String name;
	private int id;
	private int color;
	

	private List<Article> articles;
	
	public Rubrique(int id, String name, String col){
		this.name = name;
		this.articles = new ArrayList<Article>();
		this.color = Color.parseColor(col);
	}
	
	public int getColor() {
		return color;
	}

	public void setColor(int color) {
		this.color = color;
	}

	
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public void addArticle(Article a){
		this.articles.add(a);
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<Article> getArticles() {
		return articles;
	}

	public void setArticles(List<Article> articles) {
		this.articles = articles;
	}
}
